#version 150
precision highp float;

//Ethan Alexander Shulman 

in vec3 in_Position;
out vec2 uv;

layout(std140) uniform ShaderviewBlock {
	vec4 mouse;
	float screenX,screenY;
	int frame,framerate;
};
#define screen vec2(screenX,screenY)

uniform sampler2D Buffer0;

void vert() {
	uv = (in_Position.xy*.5+.5)*screen;
	gl_Position = vec4(in_Position,1);
}
void frag() {
	vec4 s = texelFetch(Buffer0,ivec2(uv),0);
	gl_FragColor = pow(max(s/s.w,0.),vec4(1./2.2));
}
